Cyberduck Mountain Duck CLI

#9878 closed defect (fixed)

Memory usage

Reported by: lacek Owned by: dkocher
Priority: normal Milestone: 5.4
Component: core Version: 5.3.9
Severity: normal Keywords: memory usage
Cc: Architecture: Intel
Platform: macOS 10.12

Description

I am using newest (5.3.9) version of Cyberduck on OSX 10.12.3. After launch it uses about 180 MB of memory. The memory usage grows within 10 or so seconds to about 950 MB (no user input of connection to any server needed). Then over the next minute it grows up to 1.15 GB. The memory growth is not accompanied by any user input. This behaviour existed for at least one or two years. Is there a log I can attach? The Log Drawer is empty. Is there a Log I could attach?

Attachments (2)

cyberduck539memoryusage.jpg (150.6 KB) - added by edmechem on Mar 13, 2017 at 8:10:21 AM.
cyberduck6snapshotmemoryusage.jpg (163.9 KB) - added by edmechem on Mar 13, 2017 at 8:10:34 AM.

Download all attachments as: .zip

Change History (15)

comment:1 Changed on Mar 12, 2017 at 9:57:13 AM by dkocher

  • Milestone set to 5.4

We recently fixed two memory issues in r38409 and r38399. Can you check the current snapshot build available. Navigate to Cyberduck → Preferences… → Update → Snapshot Builds to update.

comment:2 Changed on Mar 12, 2017 at 8:40:55 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from huge memory usage to Memory usage

comment:3 Changed on Mar 12, 2017 at 8:57:21 PM by dkocher

Possible regression from r17133.

comment:4 Changed on Mar 12, 2017 at 9:27:15 PM by dkocher

#9869 closed as duplicate.

comment:5 Changed on Mar 12, 2017 at 9:28:26 PM by dkocher

#9592 closed as duplicate.

Changed on Mar 13, 2017 at 8:10:21 AM by edmechem

comment:6 Changed on Mar 13, 2017 at 8:14:48 AM by edmechem

I just compared 5.3.9 to latest 6.0 snapshot - I'm seeing pretty much the same huge memory usage as the original poster. I just launched Cyberduck (I have just about 50 bookmarks), opened & closed Prefs & Transfers windows several times, and am seeing memory use upwards of 800 megs, either version (slightly less in 6.0 snapshot than 5.3.9); see attached Activity Monitor screenshots. Also on 10.12.3.

comment:7 Changed on Mar 13, 2017 at 9:31:41 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r38447.

comment:9 Changed on Mar 13, 2017 at 9:58:35 AM by dkocher

Collect garbage after background task in r38449.

comment:10 Changed on Mar 14, 2017 at 7:38:11 PM by lacek

  • Resolution fixed deleted
  • Status changed from closed to reopened

As far as I am concerned the problem is not fixed. After the update was downloaded I have updated to a daily snapshot and the program behaves exactly the same way as before. Current version unmber is 23732

comment:11 follow-ups: Changed on Apr 3, 2017 at 2:00:31 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Please make sure the build is 23761 or newer.

comment:12 in reply to: ↑ 11 Changed on Apr 3, 2017 at 2:04:19 PM by lacek

Replying to dkocher:

Please make sure the build is 23761 or newer.

It is 23803.

comment:13 in reply to: ↑ 11 Changed on Apr 3, 2017 at 2:05:14 PM by lacek

Replying to dkocher:

Please make sure the build is 23761 or newer.

It is 23803 and the described behaviour still happens.

Note: See TracTickets for help on using tickets.
swiss made software